<?php
/**
 * AsalaeCore\MinkSuite\ChromeBrowser
 */

namespace AsalaeCore\MinkSuite;

use DMore\ChromeDriver\ChromeBrowser as DMoreChromeBrowser;
use WebSocket\Client;

/**
 * Connexion au navigateur chrome
 *
 * @category TestSuite
 *
 * @author    Libriciel SCOP <contact@libriciel.coop>
 * @copyright (c) 2022, Libriciel
 * @license   https://www.gnu.org/licenses/agpl-3.0.txt
 * @mixin MinkCase
 */
class ChromeBrowser extends DMoreChromeBrowser
{
    /**
     * Donne le clien websocket
     * @return Client
     */
    public function getClient(): Client
    {
        return $this->client;
    }
}
